﻿using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;

namespace AppLauncher.Models
{
    public class TileModel
    {
        public string Title { get; set; }
        public string ProcessFilename { get; set; }
        public string ProcessArgument { get; set; }
        public string ProcessWorkingDirectory { get; set; }
        public ProcessWindowStyle ProcessWindowStyle { get; set; } = ProcessWindowStyle.Normal;
        public bool ProcessAsAdmin { get; set; } = false;
        public Point Position { get; set; }

        public bool IsGroup { get; set; } = false;
        public List<TileModel> Items { get; set; } = new List<TileModel>();

        public override string ToString() => this.Title ?? string.Empty;

        //public void Update(TileModel model)
        //{
        //    this.Title = model.Title;
        //    this.ProcessFilename = model.ProcessFilename;
        //    this.ProcessArgument = model.ProcessArgument;
        //    this.ProcessWorkingDirectory = model.ProcessWorkingDirectory;
        //    this.ProcessWindowStyle = model.ProcessWindowStyle;
        //    this.ProcessAsAdmin = model.ProcessAsAdmin;
        //    this.Position = model.Position;
        //    this.IsGroup = model.IsGroup;
        //    this.Items = model.Items;
        //}

    }
}
